<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jisco.dynamicweight.pika.mapper.CenternetMapper">
    <resultMap id="BaseResultMap" type="com.jisco.dynamicweight.pika.model.Centernet">
        <id column="Identity" jdbcType="VARCHAR" property="identity"/>
        <result column="MeasureBill" jdbcType="VARCHAR" property="measurebill"/>
        <result column="TrustBillNum" jdbcType="VARCHAR" property="trustbillnum"/>
        <result column="VoucherIdentity" jdbcType="VARCHAR" property="voucheridentity"/>
        <result column="VoucherItem" jdbcType="VARCHAR" property="voucheritem"/>
        <result column="BusinessGroup" jdbcType="VARCHAR" property="businessgroup"/>
        <result column="BusinessType" jdbcType="VARCHAR" property="businesstype"/>
        <result column="StationType" jdbcType="VARCHAR" property="stationtype"/>
        <result column="MeasureObjectType" jdbcType="VARCHAR" property="measureobjecttype"/>
        <result column="Conveyance" jdbcType="VARCHAR" property="conveyance"/>
        <result column="Trailer" jdbcType="VARCHAR" property="trailer"/>
        <result column="TempConveyance" jdbcType="VARCHAR" property="tempconveyance"/>
        <result column="ConveyanceGroup" jdbcType="VARCHAR" property="conveyancegroup"/>
        <result column="ConveyanceType" jdbcType="VARCHAR" property="conveyancetype"/>
        <result column="ResourceSystem" jdbcType="VARCHAR" property="resourcesystem"/>
        <result column="GroupPackageAmount" jdbcType="DECIMAL" property="grouppackageamount"/>
        <result column="GroupPackageUnit" jdbcType="VARCHAR" property="grouppackageunit"/>
        <result column="PackageAmount" jdbcType="DECIMAL" property="packageamount"/>
        <result column="PackageUnit" jdbcType="VARCHAR" property="packageunit"/>
        <result column="TheoryAmount" jdbcType="DECIMAL" property="theoryamount"/>
        <result column="Gross" jdbcType="DECIMAL" property="gross"/>
        <result column="Tare" jdbcType="DECIMAL" property="tare"/>
        <result column="PonderationAmount" jdbcType="DECIMAL" property="ponderationamount"/>
        <result column="MeasureBatch" jdbcType="VARCHAR" property="measurebatch"/>
        <result column="MeasureBatchCount" jdbcType="DECIMAL" property="measurebatchcount"/>
        <result column="MeasureTaskNum" jdbcType="VARCHAR" property="measuretasknum"/>
        <result column="SenderType" jdbcType="VARCHAR" property="sendertype"/>
        <result column="SenderName" jdbcType="VARCHAR" property="sendername"/>
        <result column="Sender" jdbcType="VARCHAR" property="sender"/>
        <result column="SenderRemark" jdbcType="VARCHAR" property="senderremark"/>
        <result column="ReceiverType" jdbcType="VARCHAR" property="receivertype"/>
        <result column="ReceiverName" jdbcType="VARCHAR" property="receivername"/>
        <result column="Receiver" jdbcType="VARCHAR" property="receiver"/>
        <result column="ReceiverRemark" jdbcType="VARCHAR" property="receiverremark"/>
        <result column="MaterialName" jdbcType="VARCHAR" property="materialname"/>
        <result column="Material" jdbcType="VARCHAR" property="material"/>
        <result column="TareSystem" jdbcType="VARCHAR" property="taresystem"/>
        <result column="GrossSystem" jdbcType="VARCHAR" property="grosssystem"/>
        <result column="NetSystem" jdbcType="VARCHAR" property="netsystem"/>
        <result column="TareDataResourceType" jdbcType="VARCHAR" property="taredataresourcetype"/>
        <result column="GrossDataResourceType" jdbcType="VARCHAR" property="grossdataresourcetype"/>
        <result column="NetDataResourceType" jdbcType="VARCHAR" property="netdataresourcetype"/>
        <result column="TareTime" jdbcType="TIMESTAMP" property="taretime"/>
        <result column="GrossTime" jdbcType="TIMESTAMP" property="grosstime"/>
        <result column="NetTime" jdbcType="TIMESTAMP" property="nettime"/>
        <result column="TareStationName" jdbcType="VARCHAR" property="tarestationname"/>
        <result column="TareStation" jdbcType="VARCHAR" property="tarestation"/>
        <result column="GrossStationName" jdbcType="VARCHAR" property="grossstationname"/>
        <result column="GrossStation" jdbcType="VARCHAR" property="grossstation"/>
        <result column="NetStationName" jdbcType="VARCHAR" property="netstationname"/>
        <result column="NetStation" jdbcType="VARCHAR" property="netstation"/>
        <result column="TareWeightor" jdbcType="VARCHAR" property="tareweightor"/>
        <result column="GrossWeightor" jdbcType="VARCHAR" property="grossweightor"/>
        <result column="NetWeightor" jdbcType="VARCHAR" property="netweightor"/>
        <result column="BatchIdentity" jdbcType="VARCHAR" property="batchidentity"/>
        <result column="BusinessState" jdbcType="VARCHAR" property="businessstate"/>
        <result column="BillType" jdbcType="VARCHAR" property="billtype"/>
        <result column="MeasureType" jdbcType="VARCHAR" property="measuretype"/>
        <result column="AmountUnit" jdbcType="VARCHAR" property="amountunit"/>
        <result column="DownloadedTag" jdbcType="VARCHAR" property="downloadedtag"/>
        <result column="DeletedTag" jdbcType="VARCHAR" property="deletedtag"/>
        <result column="Creator" jdbcType="VARCHAR" property="creator"/>
        <result column="CreateDate" jdbcType="TIMESTAMP" property="createdate"/>
        <result column="Changer" jdbcType="VARCHAR" property="changer"/>
        <result column="ChangeDate" jdbcType="TIMESTAMP" property="changedate"/>
    </resultMap>
    <sql id="columns">
        "Identity"
        , "MeasureBill", "TrustBillNum", "VoucherIdentity", "VoucherItem", "BusinessGroup",
    "BusinessType", "StationType", "MeasureObjectType", "Conveyance", "Trailer", "TempConveyance",
    "ConveyanceGroup", "ConveyanceType", "ResourceSystem", "GroupPackageAmount", "GroupPackageUnit",
    "PackageAmount", "PackageUnit", "TheoryAmount", "Gross", "Tare", "PonderationAmount", "MeasureBatch",
    "MeasureBatchCount", "MeasureTaskNum", "SenderType", "SenderName", "Sender", "SenderRemark",
    "ReceiverType", "ReceiverName", "Receiver", "ReceiverRemark", "MaterialName", "Material", "TareSystem",
    "GrossSystem", "NetSystem", "TareDataResourceType", "GrossDataResourceType", "NetDataResourceType",
    "TareTime", "GrossTime", "NetTime", "TareStationName", "TareStation", "GrossStationName", "GrossStation",
    "NetStationName", "NetStation", "TareWeightor", "GrossWeightor", "NetWeightor", "BatchIdentity",
    "BusinessState", "BillType", "MeasureType", "AmountUnit", "DownloadedTag", "DeletedTag", "Creator",
    "CreateDate", "Changer", "ChangeDate"
    </sql>
    <sql id="columns_alias">
        t
        .
        Identity
        , t.MeasureBill, t.TrustBillNum, t.VoucherIdentity, t.VoucherItem, t.BusinessGroup,
    t.BusinessType, t.StationType, t.MeasureObjectType, t.Conveyance, t.Trailer, t.TempConveyance, 
    t.ConveyanceGroup, t.ConveyanceType, t.ResourceSystem, t.GroupPackageAmount, t.GroupPackageUnit, 
    t.PackageAmount, t.PackageUnit, t.TheoryAmount, t.Gross, t.Tare, t.PonderationAmount, 
    t.MeasureBatch, t.MeasureBatchCount, t.MeasureTaskNum, t.SenderType, t.SenderName, 
    t.Sender, t.SenderRemark, t.ReceiverType, t.ReceiverName, t.Receiver, t.ReceiverRemark, 
    t.MaterialName, t.Material, t.TareSystem, t.GrossSystem, t.NetSystem, t.TareDataResourceType, 
    t.GrossDataResourceType, t.NetDataResourceType, t.TareTime, t.GrossTime, t.NetTime, 
    t.TareStationName, t.TareStation, t.GrossStationName, t.GrossStation, t.NetStationName, 
    t.NetStation, t.TareWeightor, t.GrossWeightor, t.NetWeightor, t.BatchIdentity, t.BusinessState, 
    t.BillType, t.MeasureType, t.AmountUnit, t.DownloadedTag, t.DeletedTag, t.Creator, 
    t.CreateDate, t.Changer, t.ChangeDate
    </sql>
    <sql id="select">
        SELECT
        <include refid="columns"/>
        FROM jgshared."CenterNet"@PIKATEST
    </sql>
    <sql id="select_alias">
        SELECT
        <include refid="columns_alias"/>
        FROM jgshared."CenterNet"@PIKATEST t
    </sql>
    <sql id="where">
        <where>
            <if test="identity != null and identity != ''">
                and Identity = #{identity}
            </if>
            <if test="measurebill != null and measurebill != ''">
                and MeasureBill = #{measurebill}
            </if>
            <if test="trustbillnum != null and trustbillnum != ''">
                and TrustBillNum = #{trustbillnum}
            </if>
            <if test="voucheridentity != null and voucheridentity != ''">
                and VoucherIdentity = #{voucheridentity}
            </if>
            <if test="voucheritem != null and voucheritem != ''">
                and VoucherItem = #{voucheritem}
            </if>
            <if test="businessgroup != null and businessgroup != ''">
                and BusinessGroup = #{businessgroup}
            </if>
            <if test="businesstype != null and businesstype != ''">
                and BusinessType = #{businesstype}
            </if>
            <if test="stationtype != null and stationtype != ''">
                and StationType = #{stationtype}
            </if>
            <if test="measureobjecttype != null and measureobjecttype != ''">
                and MeasureObjectType = #{measureobjecttype}
            </if>
            <if test="conveyance != null and conveyance != ''">
                and Conveyance = #{conveyance}
            </if>
            <if test="trailer != null and trailer != ''">
                and Trailer = #{trailer}
            </if>
            <if test="tempconveyance != null and tempconveyance != ''">
                and TempConveyance = #{tempconveyance}
            </if>
            <if test="conveyancegroup != null and conveyancegroup != ''">
                and ConveyanceGroup = #{conveyancegroup}
            </if>
            <if test="conveyancetype != null and conveyancetype != ''">
                and ConveyanceType = #{conveyancetype}
            </if>
            <if test="resourcesystem != null and resourcesystem != ''">
                and ResourceSystem = #{resourcesystem}
            </if>
            <if test="grouppackageamount != null">
                and GroupPackageAmount = #{grouppackageamount}
            </if>
            <if test="grouppackageunit != null and grouppackageunit != ''">
                and GroupPackageUnit = #{grouppackageunit}
            </if>
            <if test="packageamount != null">
                and PackageAmount = #{packageamount}
            </if>
            <if test="packageunit != null and packageunit != ''">
                and PackageUnit = #{packageunit}
            </if>
            <if test="theoryamount != null">
                and TheoryAmount = #{theoryamount}
            </if>
            <if test="gross != null">
                and Gross = #{gross}
            </if>
            <if test="tare != null">
                and Tare = #{tare}
            </if>
            <if test="ponderationamount != null">
                and PonderationAmount = #{ponderationamount}
            </if>
            <if test="measurebatch != null and measurebatch != ''">
                and MeasureBatch = #{measurebatch}
            </if>
            <if test="measurebatchcount != null">
                and MeasureBatchCount = #{measurebatchcount}
            </if>
            <if test="measuretasknum != null and measuretasknum != ''">
                and MeasureTaskNum = #{measuretasknum}
            </if>
            <if test="sendertype != null and sendertype != ''">
                and SenderType = #{sendertype}
            </if>
            <if test="sendername != null and sendername != ''">
                and SenderName = #{sendername}
            </if>
            <if test="sender != null and sender != ''">
                and Sender = #{sender}
            </if>
            <if test="senderremark != null and senderremark != ''">
                and SenderRemark = #{senderremark}
            </if>
            <if test="receivertype != null and receivertype != ''">
                and ReceiverType = #{receivertype}
            </if>
            <if test="receivername != null and receivername != ''">
                and ReceiverName = #{receivername}
            </if>
            <if test="receiver != null and receiver != ''">
                and Receiver = #{receiver}
            </if>
            <if test="receiverremark != null and receiverremark != ''">
                and ReceiverRemark = #{receiverremark}
            </if>
            <if test="materialname != null and materialname != ''">
                and MaterialName = #{materialname}
            </if>
            <if test="material != null and material != ''">
                and Material = #{material}
            </if>
            <if test="taresystem != null and taresystem != ''">
                and TareSystem = #{taresystem}
            </if>
            <if test="grosssystem != null and grosssystem != ''">
                and GrossSystem = #{grosssystem}
            </if>
            <if test="netsystem != null and netsystem != ''">
                and NetSystem = #{netsystem}
            </if>
            <if test="taredataresourcetype != null and taredataresourcetype != ''">
                and TareDataResourceType = #{taredataresourcetype}
            </if>
            <if test="grossdataresourcetype != null and grossdataresourcetype != ''">
                and GrossDataResourceType = #{grossdataresourcetype}
            </if>
            <if test="netdataresourcetype != null and netdataresourcetype != ''">
                and NetDataResourceType = #{netdataresourcetype}
            </if>
            <if test="taretime != null">
                and TO_CHAR(TareTime,'yyyy-MM-dd') = #{taretime}
            </if>
            <if test="grosstime != null">
                and TO_CHAR(GrossTime,'yyyy-MM-dd') = #{grosstime}
            </if>
            <if test="nettime != null">
                and TO_CHAR(NetTime,'yyyy-MM-dd') = #{nettime}
            </if>
            <if test="tarestationname != null and tarestationname != ''">
                and TareStationName = #{tarestationname}
            </if>
            <if test="tarestation != null and tarestation != ''">
                and TareStation = #{tarestation}
            </if>
            <if test="grossstationname != null and grossstationname != ''">
                and GrossStationName = #{grossstationname}
            </if>
            <if test="grossstation != null and grossstation != ''">
                and GrossStation = #{grossstation}
            </if>
            <if test="netstationname != null and netstationname != ''">
                and NetStationName = #{netstationname}
            </if>
            <if test="netstation != null and netstation != ''">
                and NetStation = #{netstation}
            </if>
            <if test="tareweightor != null and tareweightor != ''">
                and TareWeightor = #{tareweightor}
            </if>
            <if test="grossweightor != null and grossweightor != ''">
                and GrossWeightor = #{grossweightor}
            </if>
            <if test="netweightor != null and netweightor != ''">
                and NetWeightor = #{netweightor}
            </if>
            <if test="batchidentity != null and batchidentity != ''">
                and BatchIdentity = #{batchidentity}
            </if>
            <if test="businessstate != null and businessstate != ''">
                and BusinessState = #{businessstate}
            </if>
            <if test="billtype != null and billtype != ''">
                and BillType = #{billtype}
            </if>
            <if test="measuretype != null and measuretype != ''">
                and MeasureType = #{measuretype}
            </if>
            <if test="amountunit != null and amountunit != ''">
                and AmountUnit = #{amountunit}
            </if>
            <if test="downloadedtag != null and downloadedtag != ''">
                and DownloadedTag = #{downloadedtag}
            </if>
            <if test="deletedtag != null and deletedtag != ''">
                and DeletedTag = #{deletedtag}
            </if>
            <if test="creator != null and creator != ''">
                and Creator = #{creator}
            </if>
            <if test="createdate != null">
                and TO_CHAR(CreateDate,'yyyy-MM-dd') = #{createdate}
            </if>
            <if test="changer != null and changer != ''">
                and Changer = #{changer}
            </if>
            <if test="changedate != null">
                and TO_CHAR(ChangeDate,'yyyy-MM-dd') = #{changedate}
            </if>
        </where>
    </sql>
    <sql id="whereLike">
        <where>
            <if test="identity != null and identity != ''">
                and Identity LIKE '%${identity}%'
            </if>
            <if test="measurebill != null and measurebill != ''">
                and MeasureBill LIKE '%${measurebill}%'
            </if>
            <if test="trustbillnum != null and trustbillnum != ''">
                and TrustBillNum LIKE '%${trustbillnum}%'
            </if>
            <if test="voucheridentity != null and voucheridentity != ''">
                and VoucherIdentity LIKE '%${voucheridentity}%'
            </if>
            <if test="voucheritem != null and voucheritem != ''">
                and VoucherItem LIKE '%${voucheritem}%'
            </if>
            <if test="businessgroup != null and businessgroup != ''">
                and BusinessGroup LIKE '%${businessgroup}%'
            </if>
            <if test="businesstype != null and businesstype != ''">
                and BusinessType LIKE '%${businesstype}%'
            </if>
            <if test="stationtype != null and stationtype != ''">
                and StationType LIKE '%${stationtype}%'
            </if>
            <if test="measureobjecttype != null and measureobjecttype != ''">
                and MeasureObjectType LIKE '%${measureobjecttype}%'
            </if>
            <if test="conveyance != null and conveyance != ''">
                and Conveyance LIKE '%${conveyance}%'
            </if>
            <if test="trailer != null and trailer != ''">
                and Trailer LIKE '%${trailer}%'
            </if>
            <if test="tempconveyance != null and tempconveyance != ''">
                and TempConveyance LIKE '%${tempconveyance}%'
            </if>
            <if test="conveyancegroup != null and conveyancegroup != ''">
                and ConveyanceGroup LIKE '%${conveyancegroup}%'
            </if>
            <if test="conveyancetype != null and conveyancetype != ''">
                and ConveyanceType LIKE '%${conveyancetype}%'
            </if>
            <if test="resourcesystem != null and resourcesystem != ''">
                and ResourceSystem LIKE '%${resourcesystem}%'
            </if>
            <if test="grouppackageamount != null">
                and GroupPackageAmount = #{grouppackageamount}
            </if>
            <if test="grouppackageunit != null and grouppackageunit != ''">
                and GroupPackageUnit LIKE '%${grouppackageunit}%'
            </if>
            <if test="packageamount != null">
                and PackageAmount = #{packageamount}
            </if>
            <if test="packageunit != null and packageunit != ''">
                and PackageUnit LIKE '%${packageunit}%'
            </if>
            <if test="theoryamount != null">
                and TheoryAmount = #{theoryamount}
            </if>
            <if test="gross != null">
                and Gross = #{gross}
            </if>
            <if test="tare != null">
                and Tare = #{tare}
            </if>
            <if test="ponderationamount != null">
                and PonderationAmount = #{ponderationamount}
            </if>
            <if test="measurebatch != null and measurebatch != ''">
                and MeasureBatch LIKE '%${measurebatch}%'
            </if>
            <if test="measurebatchcount != null">
                and MeasureBatchCount = #{measurebatchcount}
            </if>
            <if test="measuretasknum != null and measuretasknum != ''">
                and MeasureTaskNum LIKE '%${measuretasknum}%'
            </if>
            <if test="sendertype != null and sendertype != ''">
                and SenderType LIKE '%${sendertype}%'
            </if>
            <if test="sendername != null and sendername != ''">
                and SenderName LIKE '%${sendername}%'
            </if>
            <if test="sender != null and sender != ''">
                and Sender LIKE '%${sender}%'
            </if>
            <if test="senderremark != null and senderremark != ''">
                and SenderRemark LIKE '%${senderremark}%'
            </if>
            <if test="receivertype != null and receivertype != ''">
                and ReceiverType LIKE '%${receivertype}%'
            </if>
            <if test="receivername != null and receivername != ''">
                and ReceiverName LIKE '%${receivername}%'
            </if>
            <if test="receiver != null and receiver != ''">
                and Receiver LIKE '%${receiver}%'
            </if>
            <if test="receiverremark != null and receiverremark != ''">
                and ReceiverRemark LIKE '%${receiverremark}%'
            </if>
            <if test="materialname != null and materialname != ''">
                and MaterialName LIKE '%${materialname}%'
            </if>
            <if test="material != null and material != ''">
                and Material LIKE '%${material}%'
            </if>
            <if test="taresystem != null and taresystem != ''">
                and TareSystem LIKE '%${taresystem}%'
            </if>
            <if test="grosssystem != null and grosssystem != ''">
                and GrossSystem LIKE '%${grosssystem}%'
            </if>
            <if test="netsystem != null and netsystem != ''">
                and NetSystem LIKE '%${netsystem}%'
            </if>
            <if test="taredataresourcetype != null and taredataresourcetype != ''">
                and TareDataResourceType LIKE '%${taredataresourcetype}%'
            </if>
            <if test="grossdataresourcetype != null and grossdataresourcetype != ''">
                and GrossDataResourceType LIKE '%${grossdataresourcetype}%'
            </if>
            <if test="netdataresourcetype != null and netdataresourcetype != ''">
                and NetDataResourceType LIKE '%${netdataresourcetype}%'
            </if>
            <if test="taretime != null">
                and TO_CHAR(TareTime,'yyyy-MM-dd') = #{taretime}
            </if>
            <if test="grosstime != null">
                and TO_CHAR(GrossTime,'yyyy-MM-dd') = #{grosstime}
            </if>
            <if test="nettime != null">
                and TO_CHAR(NetTime,'yyyy-MM-dd') = #{nettime}
            </if>
            <if test="tarestationname != null and tarestationname != ''">
                and TareStationName LIKE '%${tarestationname}%'
            </if>
            <if test="tarestation != null and tarestation != ''">
                and TareStation LIKE '%${tarestation}%'
            </if>
            <if test="grossstationname != null and grossstationname != ''">
                and GrossStationName LIKE '%${grossstationname}%'
            </if>
            <if test="grossstation != null and grossstation != ''">
                and GrossStation LIKE '%${grossstation}%'
            </if>
            <if test="netstationname != null and netstationname != ''">
                and NetStationName LIKE '%${netstationname}%'
            </if>
            <if test="netstation != null and netstation != ''">
                and NetStation LIKE '%${netstation}%'
            </if>
            <if test="tareweightor != null and tareweightor != ''">
                and TareWeightor LIKE '%${tareweightor}%'
            </if>
            <if test="grossweightor != null and grossweightor != ''">
                and GrossWeightor LIKE '%${grossweightor}%'
            </if>
            <if test="netweightor != null and netweightor != ''">
                and NetWeightor LIKE '%${netweightor}%'
            </if>
            <if test="batchidentity != null and batchidentity != ''">
                and BatchIdentity LIKE '%${batchidentity}%'
            </if>
            <if test="businessstate != null and businessstate != ''">
                and BusinessState LIKE '%${businessstate}%'
            </if>
            <if test="billtype != null and billtype != ''">
                and BillType LIKE '%${billtype}%'
            </if>
            <if test="measuretype != null and measuretype != ''">
                and MeasureType LIKE '%${measuretype}%'
            </if>
            <if test="amountunit != null and amountunit != ''">
                and AmountUnit LIKE '%${amountunit}%'
            </if>
            <if test="downloadedtag != null and downloadedtag != ''">
                and DownloadedTag LIKE '%${downloadedtag}%'
            </if>
            <if test="deletedtag != null and deletedtag != ''">
                and DeletedTag LIKE '%${deletedtag}%'
            </if>
            <if test="creator != null and creator != ''">
                and Creator LIKE '%${creator}%'
            </if>
            <if test="createdate != null">
                and TO_CHAR(CreateDate,'yyyy-MM-dd') = #{createdate}
            </if>
            <if test="changer != null and changer != ''">
                and Changer LIKE '%${changer}%'
            </if>
            <if test="changedate != null">
                and TO_CHAR(ChangeDate,'yyyy-MM-dd') = #{changedate}
            </if>
        </where>
    </sql>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.String">
        delete
        from jgshared."CenterNet"@PIKATEST
        where Identity = #{identity,jdbcType=VARCHAR}
    </delete>
    <delete id="deleteBySelectiveElement" parameterType="java.util.HashMap">
        delete from jgshared."CenterNet"@PIKATEST
        where 1!=1
        <if test="measurebill != null and measurebill != ''">
            or MeasureBill = #{measurebill}
        </if>
        <if test="trustbillnum != null and trustbillnum != ''">
            or TrustBillNum = #{trustbillnum}
        </if>
        <if test="voucheridentity != null and voucheridentity != ''">
            or VoucherIdentity = #{voucheridentity}
        </if>
        <if test="voucheritem != null and voucheritem != ''">
            or VoucherItem = #{voucheritem}
        </if>
        <if test="businessgroup != null and businessgroup != ''">
            or BusinessGroup = #{businessgroup}
        </if>
        <if test="businesstype != null and businesstype != ''">
            or BusinessType = #{businesstype}
        </if>
        <if test="stationtype != null and stationtype != ''">
            or StationType = #{stationtype}
        </if>
        <if test="measureobjecttype != null and measureobjecttype != ''">
            or MeasureObjectType = #{measureobjecttype}
        </if>
        <if test="conveyance != null and conveyance != ''">
            or Conveyance = #{conveyance}
        </if>
        <if test="trailer != null and trailer != ''">
            or Trailer = #{trailer}
        </if>
        <if test="tempconveyance != null and tempconveyance != ''">
            or TempConveyance = #{tempconveyance}
        </if>
        <if test="conveyancegroup != null and conveyancegroup != ''">
            or ConveyanceGroup = #{conveyancegroup}
        </if>
        <if test="conveyancetype != null and conveyancetype != ''">
            or ConveyanceType = #{conveyancetype}
        </if>
        <if test="resourcesystem != null and resourcesystem != ''">
            or ResourceSystem = #{resourcesystem}
        </if>
        <if test="grouppackageamount != null">
            or GroupPackageAmount = #{grouppackageamount}
        </if>
        <if test="grouppackageunit != null and grouppackageunit != ''">
            or GroupPackageUnit = #{grouppackageunit}
        </if>
        <if test="packageamount != null">
            or PackageAmount = #{packageamount}
        </if>
        <if test="packageunit != null and packageunit != ''">
            or PackageUnit = #{packageunit}
        </if>
        <if test="theoryamount != null">
            or TheoryAmount = #{theoryamount}
        </if>
        <if test="gross != null">
            or Gross = #{gross}
        </if>
        <if test="tare != null">
            or Tare = #{tare}
        </if>
        <if test="ponderationamount != null">
            or PonderationAmount = #{ponderationamount}
        </if>
        <if test="measurebatch != null and measurebatch != ''">
            or MeasureBatch = #{measurebatch}
        </if>
        <if test="measurebatchcount != null">
            or MeasureBatchCount = #{measurebatchcount}
        </if>
        <if test="measuretasknum != null and measuretasknum != ''">
            or MeasureTaskNum = #{measuretasknum}
        </if>
        <if test="sendertype != null and sendertype != ''">
            or SenderType = #{sendertype}
        </if>
        <if test="sendername != null and sendername != ''">
            or SenderName = #{sendername}
        </if>
        <if test="sender != null and sender != ''">
            or Sender = #{sender}
        </if>
        <if test="senderremark != null and senderremark != ''">
            or SenderRemark = #{senderremark}
        </if>
        <if test="receivertype != null and receivertype != ''">
            or ReceiverType = #{receivertype}
        </if>
        <if test="receivername != null and receivername != ''">
            or ReceiverName = #{receivername}
        </if>
        <if test="receiver != null and receiver != ''">
            or Receiver = #{receiver}
        </if>
        <if test="receiverremark != null and receiverremark != ''">
            or ReceiverRemark = #{receiverremark}
        </if>
        <if test="materialname != null and materialname != ''">
            or MaterialName = #{materialname}
        </if>
        <if test="material != null and material != ''">
            or Material = #{material}
        </if>
        <if test="taresystem != null and taresystem != ''">
            or TareSystem = #{taresystem}
        </if>
        <if test="grosssystem != null and grosssystem != ''">
            or GrossSystem = #{grosssystem}
        </if>
        <if test="netsystem != null and netsystem != ''">
            or NetSystem = #{netsystem}
        </if>
        <if test="taredataresourcetype != null and taredataresourcetype != ''">
            or TareDataResourceType = #{taredataresourcetype}
        </if>
        <if test="grossdataresourcetype != null and grossdataresourcetype != ''">
            or GrossDataResourceType = #{grossdataresourcetype}
        </if>
        <if test="netdataresourcetype != null and netdataresourcetype != ''">
            or NetDataResourceType = #{netdataresourcetype}
        </if>
        <if test="taretime != null">
            or TO_CHAR(TareTime,'yyyy-MM-dd') = '#{taretime}'
        </if>
        <if test="grosstime != null">
            or TO_CHAR(GrossTime,'yyyy-MM-dd') = '#{grosstime}'
        </if>
        <if test="nettime != null">
            or TO_CHAR(NetTime,'yyyy-MM-dd') = '#{nettime}'
        </if>
        <if test="tarestationname != null and tarestationname != ''">
            or TareStationName = #{tarestationname}
        </if>
        <if test="tarestation != null and tarestation != ''">
            or TareStation = #{tarestation}
        </if>
        <if test="grossstationname != null and grossstationname != ''">
            or GrossStationName = #{grossstationname}
        </if>
        <if test="grossstation != null and grossstation != ''">
            or GrossStation = #{grossstation}
        </if>
        <if test="netstationname != null and netstationname != ''">
            or NetStationName = #{netstationname}
        </if>
        <if test="netstation != null and netstation != ''">
            or NetStation = #{netstation}
        </if>
        <if test="tareweightor != null and tareweightor != ''">
            or TareWeightor = #{tareweightor}
        </if>
        <if test="grossweightor != null and grossweightor != ''">
            or GrossWeightor = #{grossweightor}
        </if>
        <if test="netweightor != null and netweightor != ''">
            or NetWeightor = #{netweightor}
        </if>
        <if test="batchidentity != null and batchidentity != ''">
            or BatchIdentity = #{batchidentity}
        </if>
        <if test="businessstate != null and businessstate != ''">
            or BusinessState = #{businessstate}
        </if>
        <if test="billtype != null and billtype != ''">
            or BillType = #{billtype}
        </if>
        <if test="measuretype != null and measuretype != ''">
            or MeasureType = #{measuretype}
        </if>
        <if test="amountunit != null and amountunit != ''">
            or AmountUnit = #{amountunit}
        </if>
        <if test="downloadedtag != null and downloadedtag != ''">
            or DownloadedTag = #{downloadedtag}
        </if>
        <if test="deletedtag != null and deletedtag != ''">
            or DeletedTag = #{deletedtag}
        </if>
        <if test="creator != null and creator != ''">
            or Creator = #{creator}
        </if>
        <if test="createdate != null">
            or TO_CHAR(CreateDate,'yyyy-MM-dd') = '#{createdate}'
        </if>
        <if test="changer != null and changer != ''">
            or Changer = #{changer}
        </if>
        <if test="changedate != null">
            or TO_CHAR(ChangeDate,'yyyy-MM-dd') = '#{changedate}'
        </if>
    </delete>
    <insert id="insert" parameterType="com.jisco.dynamicweight.pika.model.Centernet">
        insert into jgshared."CenterNet"@PIKATEST ("Identity",
                                                   "MeasureBill",
                                                   "TrustBillNum",
                                                   "VoucherIdentity",
                                                   "VoucherItem",
                                                   "BusinessGroup",
                                                   "BusinessType",
                                                   "StationType",
                                                   "MeasureObjectType",
                                                   "Conveyance",
                                                   "Trailer",
                                                   "TempConveyance",
                                                   "ConveyanceGroup",
                                                   "ConveyanceType",
                                                   "ResourceSystem",
                                                   "GroupPackageAmount",
                                                   "GroupPackageUnit",
                                                   "PackageAmount",
                                                   "PackageUnit",
                                                   "TheoryAmount",
                                                   "Gross",
                                                   "Tare",
                                                   "PonderationAmount",
                                                   "MeasureBatch",
                                                   "MeasureBatchCount",
                                                   "MeasureTaskNum",
                                                   "SenderType",
                                                   "SenderName",
                                                   "Sender",
                                                   "SenderRemark",
                                                   "ReceiverType",
                                                   "ReceiverName",
                                                   "Receiver",
                                                   "ReceiverRemark",
                                                   "MaterialName",
                                                   "Material",
                                                   "TareSystem",
                                                   "GrossSystem",
                                                   "NetSystem",
                                                   "TareDataResourceType",
                                                   "GrossDataResourceType",
                                                   "NetDataResourceType",
                                                   "TareTime",
                                                   "GrossTime",
                                                   "NetTime",
                                                   "TareStationName",
                                                   "TareStation",
                                                   "GrossStationName",
                                                   "GrossStation",
                                                   "NetStationName",
                                                   "NetStation",
                                                   "TareWeightor",
                                                   "GrossWeightor",
                                                   "NetWeightor",
                                                   "BatchIdentity",
                                                   "BusinessState",
                                                   "BillType",
                                                   "MeasureType",
                                                   "AmountUnit",
                                                   "DownloadedTag",
                                                   "DeletedTag",
                                                   "Creator",
                                                   "CreateDate",
                                                   "Changer",
                                                   "ChangeDate")
        values (#{identity,jdbcType=VARCHAR}, #{measurebill,jdbcType=VARCHAR}, #{trustbillnum,jdbcType=VARCHAR},
                #{voucheridentity,jdbcType=VARCHAR}, #{voucheritem,jdbcType=VARCHAR}, #{businessgroup,jdbcType=VARCHAR},
                #{businesstype,jdbcType=VARCHAR}, #{stationtype,jdbcType=VARCHAR},
                #{measureobjecttype,jdbcType=VARCHAR},
                #{conveyance,jdbcType=VARCHAR}, #{trailer,jdbcType=VARCHAR}, #{tempconveyance,jdbcType=VARCHAR},
                #{conveyancegroup,jdbcType=VARCHAR}, #{conveyancetype,jdbcType=VARCHAR},
                #{resourcesystem,jdbcType=VARCHAR},
                #{grouppackageamount,jdbcType=DECIMAL}, #{grouppackageunit,jdbcType=VARCHAR},
                #{packageamount,jdbcType=DECIMAL},
                #{packageunit,jdbcType=VARCHAR}, #{theoryamount,jdbcType=DECIMAL}, #{gross,jdbcType=DECIMAL},
                #{tare,jdbcType=DECIMAL}, #{ponderationamount,jdbcType=DECIMAL}, #{measurebatch,jdbcType=VARCHAR},
                #{measurebatchcount,jdbcType=DECIMAL}, #{measuretasknum,jdbcType=VARCHAR},
                #{sendertype,jdbcType=VARCHAR},
                #{sendername,jdbcType=VARCHAR}, #{sender,jdbcType=VARCHAR}, #{senderremark,jdbcType=VARCHAR},
                #{receivertype,jdbcType=VARCHAR}, #{receivername,jdbcType=VARCHAR}, #{receiver,jdbcType=VARCHAR},
                #{receiverremark,jdbcType=VARCHAR}, #{materialname,jdbcType=VARCHAR}, #{material,jdbcType=VARCHAR},
                #{taresystem,jdbcType=VARCHAR}, #{grosssystem,jdbcType=VARCHAR}, #{netsystem,jdbcType=VARCHAR},
                #{taredataresourcetype,jdbcType=VARCHAR}, #{grossdataresourcetype,jdbcType=VARCHAR},
                #{netdataresourcetype,jdbcType=VARCHAR}, #{taretime,jdbcType=TIMESTAMP},
                #{grosstime,jdbcType=TIMESTAMP},
                #{nettime,jdbcType=TIMESTAMP}, #{tarestationname,jdbcType=VARCHAR}, #{tarestation,jdbcType=VARCHAR},
                #{grossstationname,jdbcType=VARCHAR}, #{grossstation,jdbcType=VARCHAR},
                #{netstationname,jdbcType=VARCHAR},
                #{netstation,jdbcType=VARCHAR}, #{tareweightor,jdbcType=VARCHAR}, #{grossweightor,jdbcType=VARCHAR},
                #{netweightor,jdbcType=VARCHAR}, #{batchidentity,jdbcType=VARCHAR}, #{businessstate,jdbcType=VARCHAR},
                #{billtype,jdbcType=VARCHAR}, #{measuretype,jdbcType=VARCHAR}, #{amountunit,jdbcType=VARCHAR},
                #{downloadedtag,jdbcType=VARCHAR}, #{deletedtag,jdbcType=VARCHAR}, #{creator,jdbcType=VARCHAR},
                #{createdate,jdbcType=TIMESTAMP}, #{changer,jdbcType=VARCHAR}, #{changedate,jdbcType=TIMESTAMP})
    </insert>
    <insert id="insertSelective" parameterType="com.jisco.dynamicweight.pika.model.Centernet">
        insert into jgshared."CenterNet"@PIKATEST
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="identity != null">
                Identity,
            </if>
            <if test="measurebill != null">
                MeasureBill,
            </if>
            <if test="trustbillnum != null">
                TrustBillNum,
            </if>
            <if test="voucheridentity != null">
                VoucherIdentity,
            </if>
            <if test="voucheritem != null">
                VoucherItem,
            </if>
            <if test="businessgroup != null">
                BusinessGroup,
            </if>
            <if test="businesstype != null">
                BusinessType,
            </if>
            <if test="stationtype != null">
                StationType,
            </if>
            <if test="measureobjecttype != null">
                MeasureObjectType,
            </if>
            <if test="conveyance != null">
                Conveyance,
            </if>
            <if test="trailer != null">
                Trailer,
            </if>
            <if test="tempconveyance != null">
                TempConveyance,
            </if>
            <if test="conveyancegroup != null">
                ConveyanceGroup,
            </if>
            <if test="conveyancetype != null">
                ConveyanceType,
            </if>
            <if test="resourcesystem != null">
                ResourceSystem,
            </if>
            <if test="grouppackageamount != null">
                GroupPackageAmount,
            </if>
            <if test="grouppackageunit != null">
                GroupPackageUnit,
            </if>
            <if test="packageamount != null">
                PackageAmount,
            </if>
            <if test="packageunit != null">
                PackageUnit,
            </if>
            <if test="theoryamount != null">
                TheoryAmount,
            </if>
            <if test="gross != null">
                Gross,
            </if>
            <if test="tare != null">
                Tare,
            </if>
            <if test="ponderationamount != null">
                PonderationAmount,
            </if>
            <if test="measurebatch != null">
                MeasureBatch,
            </if>
            <if test="measurebatchcount != null">
                MeasureBatchCount,
            </if>
            <if test="measuretasknum != null">
                MeasureTaskNum,
            </if>
            <if test="sendertype != null">
                SenderType,
            </if>
            <if test="sendername != null">
                SenderName,
            </if>
            <if test="sender != null">
                Sender,
            </if>
            <if test="senderremark != null">
                SenderRemark,
            </if>
            <if test="receivertype != null">
                ReceiverType,
            </if>
            <if test="receivername != null">
                ReceiverName,
            </if>
            <if test="receiver != null">
                Receiver,
            </if>
            <if test="receiverremark != null">
                ReceiverRemark,
            </if>
            <if test="materialname != null">
                MaterialName,
            </if>
            <if test="material != null">
                Material,
            </if>
            <if test="taresystem != null">
                TareSystem,
            </if>
            <if test="grosssystem != null">
                GrossSystem,
            </if>
            <if test="netsystem != null">
                NetSystem,
            </if>
            <if test="taredataresourcetype != null">
                TareDataResourceType,
            </if>
            <if test="grossdataresourcetype != null">
                GrossDataResourceType,
            </if>
            <if test="netdataresourcetype != null">
                NetDataResourceType,
            </if>
            <if test="taretime != null">
                TareTime,
            </if>
            <if test="grosstime != null">
                GrossTime,
            </if>
            <if test="nettime != null">
                NetTime,
            </if>
            <if test="tarestationname != null">
                TareStationName,
            </if>
            <if test="tarestation != null">
                TareStation,
            </if>
            <if test="grossstationname != null">
                GrossStationName,
            </if>
            <if test="grossstation != null">
                GrossStation,
            </if>
            <if test="netstationname != null">
                NetStationName,
            </if>
            <if test="netstation != null">
                NetStation,
            </if>
            <if test="tareweightor != null">
                TareWeightor,
            </if>
            <if test="grossweightor != null">
                GrossWeightor,
            </if>
            <if test="netweightor != null">
                NetWeightor,
            </if>
            <if test="batchidentity != null">
                BatchIdentity,
            </if>
            <if test="businessstate != null">
                BusinessState,
            </if>
            <if test="billtype != null">
                BillType,
            </if>
            <if test="measuretype != null">
                MeasureType,
            </if>
            <if test="amountunit != null">
                AmountUnit,
            </if>
            <if test="downloadedtag != null">
                DownloadedTag,
            </if>
            <if test="deletedtag != null">
                DeletedTag,
            </if>
            <if test="creator != null">
                Creator,
            </if>
            <if test="createdate != null">
                CreateDate,
            </if>
            <if test="changer != null">
                Changer,
            </if>
            <if test="changedate != null">
                ChangeDate,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="identity != null">
                #{identity,jdbcType=VARCHAR},
            </if>
            <if test="measurebill != null">
                #{measurebill,jdbcType=VARCHAR},
            </if>
            <if test="trustbillnum != null">
                #{trustbillnum,jdbcType=VARCHAR},
            </if>
            <if test="voucheridentity != null">
                #{voucheridentity,jdbcType=VARCHAR},
            </if>
            <if test="voucheritem != null">
                #{voucheritem,jdbcType=VARCHAR},
            </if>
            <if test="businessgroup != null">
                #{businessgroup,jdbcType=VARCHAR},
            </if>
            <if test="businesstype != null">
                #{businesstype,jdbcType=VARCHAR},
            </if>
            <if test="stationtype != null">
                #{stationtype,jdbcType=VARCHAR},
            </if>
            <if test="measureobjecttype != null">
                #{measureobjecttype,jdbcType=VARCHAR},
            </if>
            <if test="conveyance != null">
                #{conveyance,jdbcType=VARCHAR},
            </if>
            <if test="trailer != null">
                #{trailer,jdbcType=VARCHAR},
            </if>
            <if test="tempconveyance != null">
                #{tempconveyance,jdbcType=VARCHAR},
            </if>
            <if test="conveyancegroup != null">
                #{conveyancegroup,jdbcType=VARCHAR},
            </if>
            <if test="conveyancetype != null">
                #{conveyancetype,jdbcType=VARCHAR},
            </if>
            <if test="resourcesystem != null">
                #{resourcesystem,jdbcType=VARCHAR},
            </if>
            <if test="grouppackageamount != null">
                #{grouppackageamount,jdbcType=DECIMAL},
            </if>
            <if test="grouppackageunit != null">
                #{grouppackageunit,jdbcType=VARCHAR},
            </if>
            <if test="packageamount != null">
                #{packageamount,jdbcType=DECIMAL},
            </if>
            <if test="packageunit != null">
                #{packageunit,jdbcType=VARCHAR},
            </if>
            <if test="theoryamount != null">
                #{theoryamount,jdbcType=DECIMAL},
            </if>
            <if test="gross != null">
                #{gross,jdbcType=DECIMAL},
            </if>
            <if test="tare != null">
                #{tare,jdbcType=DECIMAL},
            </if>
            <if test="ponderationamount != null">
                #{ponderationamount,jdbcType=DECIMAL},
            </if>
            <if test="measurebatch != null">
                #{measurebatch,jdbcType=VARCHAR},
            </if>
            <if test="measurebatchcount != null">
                #{measurebatchcount,jdbcType=DECIMAL},
            </if>
            <if test="measuretasknum != null">
                #{measuretasknum,jdbcType=VARCHAR},
            </if>
            <if test="sendertype != null">
                #{sendertype,jdbcType=VARCHAR},
            </if>
            <if test="sendername != null">
                #{sendername,jdbcType=VARCHAR},
            </if>
            <if test="sender != null">
                #{sender,jdbcType=VARCHAR},
            </if>
            <if test="senderremark != null">
                #{senderremark,jdbcType=VARCHAR},
            </if>
            <if test="receivertype != null">
                #{receivertype,jdbcType=VARCHAR},
            </if>
            <if test="receivername != null">
                #{receivername,jdbcType=VARCHAR},
            </if>
            <if test="receiver != null">
                #{receiver,jdbcType=VARCHAR},
            </if>
            <if test="receiverremark != null">
                #{receiverremark,jdbcType=VARCHAR},
            </if>
            <if test="materialname != null">
                #{materialname,jdbcType=VARCHAR},
            </if>
            <if test="material != null">
                #{material,jdbcType=VARCHAR},
            </if>
            <if test="taresystem != null">
                #{taresystem,jdbcType=VARCHAR},
            </if>
            <if test="grosssystem != null">
                #{grosssystem,jdbcType=VARCHAR},
            </if>
            <if test="netsystem != null">
                #{netsystem,jdbcType=VARCHAR},
            </if>
            <if test="taredataresourcetype != null">
                #{taredataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="grossdataresourcetype != null">
                #{grossdataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="netdataresourcetype != null">
                #{netdataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="taretime != null">
                #{taretime,jdbcType=TIMESTAMP},
            </if>
            <if test="grosstime != null">
                #{grosstime,jdbcType=TIMESTAMP},
            </if>
            <if test="nettime != null">
                #{nettime,jdbcType=TIMESTAMP},
            </if>
            <if test="tarestationname != null">
                #{tarestationname,jdbcType=VARCHAR},
            </if>
            <if test="tarestation != null">
                #{tarestation,jdbcType=VARCHAR},
            </if>
            <if test="grossstationname != null">
                #{grossstationname,jdbcType=VARCHAR},
            </if>
            <if test="grossstation != null">
                #{grossstation,jdbcType=VARCHAR},
            </if>
            <if test="netstationname != null">
                #{netstationname,jdbcType=VARCHAR},
            </if>
            <if test="netstation != null">
                #{netstation,jdbcType=VARCHAR},
            </if>
            <if test="tareweightor != null">
                #{tareweightor,jdbcType=VARCHAR},
            </if>
            <if test="grossweightor != null">
                #{grossweightor,jdbcType=VARCHAR},
            </if>
            <if test="netweightor != null">
                #{netweightor,jdbcType=VARCHAR},
            </if>
            <if test="batchidentity != null">
                #{batchidentity,jdbcType=VARCHAR},
            </if>
            <if test="businessstate != null">
                #{businessstate,jdbcType=VARCHAR},
            </if>
            <if test="billtype != null">
                #{billtype,jdbcType=VARCHAR},
            </if>
            <if test="measuretype != null">
                #{measuretype,jdbcType=VARCHAR},
            </if>
            <if test="amountunit != null">
                #{amountunit,jdbcType=VARCHAR},
            </if>
            <if test="downloadedtag != null">
                #{downloadedtag,jdbcType=VARCHAR},
            </if>
            <if test="deletedtag != null">
                #{deletedtag,jdbcType=VARCHAR},
            </if>
            <if test="creator != null">
                #{creator,jdbcType=VARCHAR},
            </if>
            <if test="createdate != null">
                #{createdate,jdbcType=TIMESTAMP},
            </if>
            <if test="changer != null">
                #{changer,jdbcType=VARCHAR},
            </if>
            <if test="changedate != null">
                #{changedate,jdbcType=TIMESTAMP},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKey" parameterType="com.jisco.dynamicweight.pika.model.Centernet">
        update jgshared."CenterNet"@PIKATEST
        set "MeasureBill"           = #{measurebill,jdbcType=VARCHAR},
            "TrustBillNum"          = #{trustbillnum,jdbcType=VARCHAR},
            "VoucherIdentity"       = #{voucheridentity,jdbcType=VARCHAR},
            "VoucherItem"           = #{voucheritem,jdbcType=VARCHAR},
            "BusinessGroup"         = #{businessgroup,jdbcType=VARCHAR},
            "BusinessType"          = #{businesstype,jdbcType=VARCHAR},
            "StationType"           = #{stationtype,jdbcType=VARCHAR},
            "MeasureObjectType"     = #{measureobjecttype,jdbcType=VARCHAR},
            "Conveyance"            = #{conveyance,jdbcType=VARCHAR},
            "Trailer"               = #{trailer,jdbcType=VARCHAR},
            "TempConveyance"        = #{tempconveyance,jdbcType=VARCHAR},
            "ConveyanceGroup"       = #{conveyancegroup,jdbcType=VARCHAR},
            "ConveyanceType"        = #{conveyancetype,jdbcType=VARCHAR},
            "ResourceSystem"        = #{resourcesystem,jdbcType=VARCHAR},
            "GroupPackageAmount"    = #{grouppackageamount,jdbcType=DECIMAL},
            "GroupPackageUnit"      = #{grouppackageunit,jdbcType=VARCHAR},
            "PackageAmount"         = #{packageamount,jdbcType=DECIMAL},
            "PackageUnit"           = #{packageunit,jdbcType=VARCHAR},
            "TheoryAmount"          = #{theoryamount,jdbcType=DECIMAL},
            "Gross"                 = #{gross,jdbcType=DECIMAL},
            "Tare"                  = #{tare,jdbcType=DECIMAL},
            "PonderationAmount"     = #{ponderationamount,jdbcType=DECIMAL},
            "MeasureBatch"          = #{measurebatch,jdbcType=VARCHAR},
            "MeasureBatchCount"     = #{measurebatchcount,jdbcType=DECIMAL},
            "MeasureTaskNum"        = #{measuretasknum,jdbcType=VARCHAR},
            "SenderType"            = #{sendertype,jdbcType=VARCHAR},
            "SenderName"            = #{sendername,jdbcType=VARCHAR},
            "Sender"                = #{sender,jdbcType=VARCHAR},
            "SenderRemark"          = #{senderremark,jdbcType=VARCHAR},
            "ReceiverType"          = #{receivertype,jdbcType=VARCHAR},
            "ReceiverName"          = #{receivername,jdbcType=VARCHAR},
            "Receiver"              = #{receiver,jdbcType=VARCHAR},
            "ReceiverRemark"        = #{receiverremark,jdbcType=VARCHAR},
            "MaterialName"          = #{materialname,jdbcType=VARCHAR},
            "Material"              = #{material,jdbcType=VARCHAR},
            "TareSystem"            = #{taresystem,jdbcType=VARCHAR},
            "GrossSystem"           = #{grosssystem,jdbcType=VARCHAR},
            "NetSystem"             = #{netsystem,jdbcType=VARCHAR},
            "TareDataResourceType"  = #{taredataresourcetype,jdbcType=VARCHAR},
            "GrossDataResourceType" = #{grossdataresourcetype,jdbcType=VARCHAR},
            "NetDataResourceType"   = #{netdataresourcetype,jdbcType=VARCHAR},
            "TareTime"              = #{taretime,jdbcType=TIMESTAMP},
            "GrossTime"             = #{grosstime,jdbcType=TIMESTAMP},
            "NetTime"               = #{nettime,jdbcType=TIMESTAMP},
            "TareStationName"       = #{tarestationname,jdbcType=VARCHAR},
            "TareStation"           = #{tarestation,jdbcType=VARCHAR},
            "GrossStationName"      = #{grossstationname,jdbcType=VARCHAR},
            "GrossStation"          = #{grossstation,jdbcType=VARCHAR},
            "NetStationName"        = #{netstationname,jdbcType=VARCHAR},
            "NetStation"            = #{netstation,jdbcType=VARCHAR},
            "TareWeightor"          = #{tareweightor,jdbcType=VARCHAR},
            "GrossWeightor"         = #{grossweightor,jdbcType=VARCHAR},
            "NetWeightor"           = #{netweightor,jdbcType=VARCHAR},
            "BatchIdentity"         = #{batchidentity,jdbcType=VARCHAR},
            "BusinessState"         = #{businessstate,jdbcType=VARCHAR},
            "BillType"              = #{billtype,jdbcType=VARCHAR},
            "MeasureType"           = #{measuretype,jdbcType=VARCHAR},
            "AmountUnit"            = #{amountunit,jdbcType=VARCHAR},
            "DownloadedTag"         = #{downloadedtag,jdbcType=VARCHAR},
            "DeletedTag"            = #{deletedtag,jdbcType=VARCHAR},
            "Creator"               = #{creator,jdbcType=VARCHAR},
            "CreateDate"            = #{createdate,jdbcType=TIMESTAMP},
            "Changer"               = #{changer,jdbcType=VARCHAR},
            "ChangeDate"            = #{changedate,jdbcType=TIMESTAMP}
        where "Identity" = #{identity,jdbcType=VARCHAR}
    </update>
    <update id="updateByPrimaryKeySelective" parameterType="com.jisco.dynamicweight.pika.model.Centernet">
        update jgshared."CenterNet"@PIKATEST
        <set>
            <if test="measurebill != null">
                "MeasureBill" = #{measurebill,jdbcType=VARCHAR},
            </if>
            <if test="trustbillnum != null">
                "TrustBillNum" = #{trustbillnum,jdbcType=VARCHAR},
            </if>
            <if test="voucheridentity != null">
                "VoucherIdentity" = #{voucheridentity,jdbcType=VARCHAR},
            </if>
            <if test="voucheritem != null">
                "VoucherItem" = #{voucheritem,jdbcType=VARCHAR},
            </if>
            <if test="businessgroup != null">
                "BusinessGroup" = #{businessgroup,jdbcType=VARCHAR},
            </if>
            <if test="businesstype != null">
                "BusinessType" = #{businesstype,jdbcType=VARCHAR},
            </if>
            <if test="stationtype != null">
                "StationType" = #{stationtype,jdbcType=VARCHAR},
            </if>
            <if test="measureobjecttype != null">
                "MeasureObjectType" = #{measureobjecttype,jdbcType=VARCHAR},
            </if>
            <if test="conveyance != null">
                "Conveyance" = #{conveyance,jdbcType=VARCHAR},
            </if>
            <if test="trailer != null">
                "Trailer" = #{trailer,jdbcType=VARCHAR},
            </if>
            <if test="tempconveyance != null">
                "TempConveyance" = #{tempconveyance,jdbcType=VARCHAR},
            </if>
            <if test="conveyancegroup != null">
                "ConveyanceGroup" = #{conveyancegroup,jdbcType=VARCHAR},
            </if>
            <if test="conveyancetype != null">
                "ConveyanceType" = #{conveyancetype,jdbcType=VARCHAR},
            </if>
            <if test="resourcesystem != null">
                "ResourceSystem" = #{resourcesystem,jdbcType=VARCHAR},
            </if>
            <if test="grouppackageamount != null">
                "GroupPackageAmount" = #{grouppackageamount,jdbcType=DECIMAL},
            </if>
            <if test="grouppackageunit != null">
                "GroupPackageUnit" = #{grouppackageunit,jdbcType=VARCHAR},
            </if>
            <if test="packageamount != null">
                "PackageAmount" = #{packageamount,jdbcType=DECIMAL},
            </if>
            <if test="packageunit != null">
                "PackageUnit" = #{packageunit,jdbcType=VARCHAR},
            </if>
            <if test="theoryamount != null">
                "TheoryAmount" = #{theoryamount,jdbcType=DECIMAL},
            </if>
            <if test="gross != null">
                "Gross" = #{gross,jdbcType=DECIMAL},
            </if>
            <if test="tare != null">
                "Tare" = #{tare,jdbcType=DECIMAL},
            </if>
            <if test="ponderationamount != null">
                "PonderationAmount" = #{ponderationamount,jdbcType=DECIMAL},
            </if>
            <if test="measurebatch != null">
                "MeasureBatch" = #{measurebatch,jdbcType=VARCHAR},
            </if>
            <if test="measurebatchcount != null">
                "MeasureBatchCount" = #{measurebatchcount,jdbcType=DECIMAL},
            </if>
            <if test="measuretasknum != null">
                "MeasureTaskNum" = #{measuretasknum,jdbcType=VARCHAR},
            </if>
            <if test="sendertype != null">
                "SenderType" = #{sendertype,jdbcType=VARCHAR},
            </if>
            <if test="sendername != null">
                "SenderName" = #{sendername,jdbcType=VARCHAR},
            </if>
            <if test="sender != null">
                "Sender" = #{sender,jdbcType=VARCHAR},
            </if>
            <if test="senderremark != null">
                "SenderRemark" = #{senderremark,jdbcType=VARCHAR},
            </if>
            <if test="receivertype != null">
                "ReceiverType" = #{receivertype,jdbcType=VARCHAR},
            </if>
            <if test="receivername != null">
                "ReceiverName" = #{receivername,jdbcType=VARCHAR},
            </if>
            <if test="receiver != null">
                "Receiver" = #{receiver,jdbcType=VARCHAR},
            </if>
            <if test="receiverremark != null">
                "ReceiverRemark" = #{receiverremark,jdbcType=VARCHAR},
            </if>
            <if test="materialname != null">
                "MaterialName" = #{materialname,jdbcType=VARCHAR},
            </if>
            <if test="material != null">
                "Material" = #{material,jdbcType=VARCHAR},
            </if>
            <if test="taresystem != null">
                "TareSystem" = #{taresystem,jdbcType=VARCHAR},
            </if>
            <if test="grosssystem != null">
                "GrossSystem" = #{grosssystem,jdbcType=VARCHAR},
            </if>
            <if test="netsystem != null">
                "NetSystem" = #{netsystem,jdbcType=VARCHAR},
            </if>
            <if test="taredataresourcetype != null">
                "TareDataResourceType" = #{taredataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="grossdataresourcetype != null">
                "GrossDataResourceType" = #{grossdataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="netdataresourcetype != null">
                "NetDataResourceType" = #{netdataresourcetype,jdbcType=VARCHAR},
            </if>
            <if test="taretime != null">
                "TareTime" = #{taretime,jdbcType=TIMESTAMP},
            </if>
            <if test="grosstime != null">
                "GrossTime" = #{grosstime,jdbcType=TIMESTAMP},
            </if>
            <if test="nettime != null">
                "NetTime" = #{nettime,jdbcType=TIMESTAMP},
            </if>
            <if test="tarestationname != null">
                "TareStationName" = #{tarestationname,jdbcType=VARCHAR},
            </if>
            <if test="tarestation != null">
                "TareStation" = #{tarestation,jdbcType=VARCHAR},
            </if>
            <if test="grossstationname != null">
                "GrossStationName" = #{grossstationname,jdbcType=VARCHAR},
            </if>
            <if test="grossstation != null">
                "GrossStation" = #{grossstation,jdbcType=VARCHAR},
            </if>
            <if test="netstationname != null">
                "NetStationName" = #{netstationname,jdbcType=VARCHAR},
            </if>
            <if test="netstation != null">
                "NetStation" = #{netstation,jdbcType=VARCHAR},
            </if>
            <if test="tareweightor != null">
                "TareWeightor" = #{tareweightor,jdbcType=VARCHAR},
            </if>
            <if test="grossweightor != null">
                "GrossWeightor" = #{grossweightor,jdbcType=VARCHAR},
            </if>
            <if test="netweightor != null">
                "NetWeightor" = #{netweightor,jdbcType=VARCHAR},
            </if>
            <if test="batchidentity != null">
                "BatchIdentity" = #{batchidentity,jdbcType=VARCHAR},
            </if>
            <if test="businessstate != null">
                "BusinessState" = #{businessstate,jdbcType=VARCHAR},
            </if>
            <if test="billtype != null">
                "BillType" = #{billtype,jdbcType=VARCHAR},
            </if>
            <if test="measuretype != null">
                "MeasureType" = #{measuretype,jdbcType=VARCHAR},
            </if>
            <if test="amountunit != null">
                "AmountUnit" = #{amountunit,jdbcType=VARCHAR},
            </if>
            <if test="downloadedtag != null">
                "DownloadedTag" = #{downloadedtag,jdbcType=VARCHAR},
            </if>
            <if test="deletedtag != null">
                "DeletedTag" = #{deletedtag,jdbcType=VARCHAR},
            </if>
            <if test="creator != null">
                "Creator" = #{creator,jdbcType=VARCHAR},
            </if>
            <if test="createdate != null">
                "CreateDate" = #{createdate,jdbcType=TIMESTAMP},
            </if>
            <if test="changer != null">
                "Changer" = #{changer,jdbcType=VARCHAR},
            </if>
            <if test="changedate != null">
                "ChangeDate" = #{changedate,jdbcType=TIMESTAMP},
            </if>
        </set>
        where "Identity" = #{identity,jdbcType=VARCHAR}
    </update>
    <select id="selectByPrimaryKey" parameterType="java.lang.String" resultMap="BaseResultMap">
        <include refid="select"/>
        where "Identity" = #{identity,jdbcType=VARCHAR}
    </select>
    <select id="selectByParameters" parameterType="java.util.HashMap" resultMap="BaseResultMap">
        <include refid="select"/>
        <include refid="where"/>
    </select>
    <select id="selectLikeByParameters" parameterType="java.util.HashMap" resultMap="BaseResultMap">
        <include refid="select"/>
        <include refid="whereLike"/>
    </select>
    <insert id="batchInsert" parameterType="java.util.List">
        insert into jgshared."CenterNet"@PIKATEST
        ("Identity",
        "MeasureBill",
        "TrustBillNum",
        "VoucherIdentity",
        "VoucherItem",
        "BusinessGroup",
        "BusinessType",
        "StationType",
        "MeasureObjectType",
        "Conveyance",
        "Trailer",
        "TempConveyance",
        "ConveyanceGroup",
        "ConveyanceType",
        "ResourceSystem",
        "GroupPackageAmount",
        "GroupPackageUnit",
        "PackageAmount",
        "PackageUnit",
        "TheoryAmount",
        "Gross",
        "Tare",
        "PonderationAmount",
        "MeasureBatch",
        "MeasureBatchCount",
        "MeasureTaskNum",
        "SenderType",
        "SenderName",
        "Sender",
        "SenderRemark",
        "ReceiverType",
        "ReceiverName",
        "Receiver",
        "ReceiverRemark",
        "MaterialName",
        "Material",
        "TareSystem",
        "GrossSystem",
        "NetSystem",
        "TareDataResourceType",
        "GrossDataResourceType",
        "NetDataResourceType",
        "TareTime",
        "GrossTime",
        "NetTime",
        "TareStationName",
        "TareStation",
        "GrossStationName",
        "GrossStation",
        "NetStationName",
        "NetStation",
        "TareWeightor",
        "GrossWeightor",
        "NetWeightor",
        "BatchIdentity",
        "BusinessState",
        "BillType",
        "MeasureType",
        "AmountUnit",
        "DownloadedTag",
        "DeletedTag",
        "Creator",
        "CreateDate",
        "Changer",
        "ChangeDate")
        (
        <foreach collection="list" item="item" separator="union all">
            select
            <choose>
                <when test="item.identity != null">
                    #{item.identity,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measurebill != null">
                    #{item.measurebill,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.trustbillnum != null">
                    #{item.trustbillnum,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.voucheridentity != null">
                    #{item.voucheridentity,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.voucheritem != null">
                    #{item.voucheritem,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.businessgroup != null">
                    #{item.businessgroup,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.businesstype != null">
                    #{item.businesstype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.stationtype != null">
                    #{item.stationtype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measureobjecttype != null">
                    #{item.measureobjecttype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.conveyance != null">
                    #{item.conveyance,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.trailer != null">
                    #{item.trailer,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.tempconveyance != null">
                    #{item.tempconveyance,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.conveyancegroup != null">
                    #{item.conveyancegroup,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.conveyancetype != null">
                    #{item.conveyancetype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.resourcesystem != null">
                    #{item.resourcesystem,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grouppackageamount != null">
                    #{item.grouppackageamount,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grouppackageunit != null">
                    #{item.grouppackageunit,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.packageamount != null">
                    #{item.packageamount,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.packageunit != null">
                    #{item.packageunit,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.theoryamount != null">
                    #{item.theoryamount,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.gross != null">
                    #{item.gross,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.tare != null">
                    #{item.tare,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.ponderationamount != null">
                    #{item.ponderationamount,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measurebatch != null">
                    #{item.measurebatch,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measurebatchcount != null">
                    #{item.measurebatchcount,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measuretasknum != null">
                    #{item.measuretasknum,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.sendertype != null">
                    #{item.sendertype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.sendername != null">
                    #{item.sendername,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.sender != null">
                    #{item.sender,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.senderremark != null">
                    #{item.senderremark,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.receivertype != null">
                    #{item.receivertype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.receivername != null">
                    #{item.receivername,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.receiver != null">
                    #{item.receiver,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.receiverremark != null">
                    #{item.receiverremark,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.materialname != null">
                    #{item.materialname,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.material != null">
                    #{item.material,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.taresystem != null">
                    #{item.taresystem,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grosssystem != null">
                    #{item.grosssystem,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.netsystem != null">
                    #{item.netsystem,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.taredataresourcetype != null">
                    #{item.taredataresourcetype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grossdataresourcetype != null">
                    #{item.grossdataresourcetype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.netdataresourcetype != null">
                    #{item.netdataresourcetype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.taretime != null">
                    #{item.taretime,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grosstime != null">
                    #{item.grosstime,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.nettime != null">
                    #{item.nettime,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.tarestationname != null">
                    #{item.tarestationname,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.tarestation != null">
                    #{item.tarestation,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grossstationname != null">
                    #{item.grossstationname,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grossstation != null">
                    #{item.grossstation,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.netstationname != null">
                    #{item.netstationname,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.netstation != null">
                    #{item.netstation,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.tareweightor != null">
                    #{item.tareweightor,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.grossweightor != null">
                    #{item.grossweightor,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.netweightor != null">
                    #{item.netweightor,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.batchidentity != null">
                    #{item.batchidentity,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.businessstate != null">
                    #{item.businessstate,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.billtype != null">
                    #{item.billtype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.measuretype != null">
                    #{item.measuretype,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.amountunit != null">
                    #{item.amountunit,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.downloadedtag != null">
                    #{item.downloadedtag,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.deletedtag != null">
                    #{item.deletedtag,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.creator != null">
                    #{item.creator,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.createdate != null">
                    #{item.createdate,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.changer != null">
                    #{item.changer,jdbcType=VARCHAR},
                </when>
                <otherwise>
                    null,
                </otherwise>
            </choose>

            <choose>
                <when test="item.changedate != null">
                    #{item.changedate,jdbcType=VARCHAR}
                </when>
                <otherwise>
                    null
                </otherwise>
            </choose>
            from dual
        </foreach>
        )
    </insert>
    <update id="batchUpdate" parameterType="java.util.List">
        update jgshared."CenterNet"@PIKATEST
        set
        "Identity"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.identity,jdbcType=VARCHAR}
        </foreach>
        ,"MeasureBill"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measurebill,jdbcType=VARCHAR}
        </foreach>
        ,"TrustBillNum"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.trustbillnum,jdbcType=VARCHAR}
        </foreach>
        ,"VoucherIdentity"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.voucheridentity,jdbcType=VARCHAR}
        </foreach>
        ,"VoucherItem"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.voucheritem,jdbcType=VARCHAR}
        </foreach>
        ,"BusinessGroup"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.businessgroup,jdbcType=VARCHAR}
        </foreach>
        ,"BusinessType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.businesstype,jdbcType=VARCHAR}
        </foreach>
        ,"StationType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.stationtype,jdbcType=VARCHAR}
        </foreach>
        ,"MeasureObjectType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measureobjecttype,jdbcType=VARCHAR}
        </foreach>
        ,"Conveyance"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.conveyance,jdbcType=VARCHAR}
        </foreach>
        ,"Trailer"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.trailer,jdbcType=VARCHAR}
        </foreach>
        ,"TempConveyance"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.tempconveyance,jdbcType=VARCHAR}
        </foreach>
        ,"ConveyanceGroup"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.conveyancegroup,jdbcType=VARCHAR}
        </foreach>
        ,"ConveyanceType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.conveyancetype,jdbcType=VARCHAR}
        </foreach>
        ,"ResourceSystem"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.resourcesystem,jdbcType=VARCHAR}
        </foreach>
        ,"GroupPackageAmount"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grouppackageamount,jdbcType=DECIMAL}
        </foreach>
        ,"GroupPackageUnit"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grouppackageunit,jdbcType=VARCHAR}
        </foreach>
        ,"PackageAmount"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.packageamount,jdbcType=DECIMAL}
        </foreach>
        ,"PackageUnit"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.packageunit,jdbcType=VARCHAR}
        </foreach>
        ,"TheoryAmount"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.theoryamount,jdbcType=DECIMAL}
        </foreach>
        ,"Gross"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.gross,jdbcType=DECIMAL}
        </foreach>
        ,"Tare"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.tare,jdbcType=DECIMAL}
        </foreach>
        ,"PonderationAmount"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.ponderationamount,jdbcType=DECIMAL}
        </foreach>
        ,"MeasureBatch"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measurebatch,jdbcType=VARCHAR}
        </foreach>
        ,"MeasureBatchCount"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measurebatchcount,jdbcType=DECIMAL}
        </foreach>
        ,"MeasureTaskNum"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measuretasknum,jdbcType=VARCHAR}
        </foreach>
        ,"SenderType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.sendertype,jdbcType=VARCHAR}
        </foreach>
        ,"SenderName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.sendername,jdbcType=VARCHAR}
        </foreach>
        ,"Sender"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.sender,jdbcType=VARCHAR}
        </foreach>
        ,"SenderRemark"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.senderremark,jdbcType=VARCHAR}
        </foreach>
        ,"ReceiverType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.receivertype,jdbcType=VARCHAR}
        </foreach>
        ,"ReceiverName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.receivername,jdbcType=VARCHAR}
        </foreach>
        ,"Receiver"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.receiver,jdbcType=VARCHAR}
        </foreach>
        ,"ReceiverRemark"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.receiverremark,jdbcType=VARCHAR}
        </foreach>
        ,"MaterialName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.materialname,jdbcType=VARCHAR}
        </foreach>
        ,"Material"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.material,jdbcType=VARCHAR}
        </foreach>
        ,"TareSystem"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.taresystem,jdbcType=VARCHAR}
        </foreach>
        ,"GrossSystem"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grosssystem,jdbcType=VARCHAR}
        </foreach>
        ,"NetSystem"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.netsystem,jdbcType=VARCHAR}
        </foreach>
        ,"TareDataResourceType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.taredataresourcetype,jdbcType=VARCHAR}
        </foreach>
        ,"GrossDataResourceType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grossdataresourcetype,jdbcType=VARCHAR}
        </foreach>
        ,"NetDataResourceType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.netdataresourcetype,jdbcType=VARCHAR}
        </foreach>
        ,"TareTime"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.taretime,jdbcType=TIMESTAMP}
        </foreach>
        ,"GrossTime"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grosstime,jdbcType=TIMESTAMP}
        </foreach>
        ,"NetTime"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.nettime,jdbcType=TIMESTAMP}
        </foreach>
        ,"TareStationName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.tarestationname,jdbcType=VARCHAR}
        </foreach>
        ,"TareStation"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.tarestation,jdbcType=VARCHAR}
        </foreach>
        ,"GrossStationName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grossstationname,jdbcType=VARCHAR}
        </foreach>
        ,"GrossStation"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grossstation,jdbcType=VARCHAR}
        </foreach>
        ,"NetStationName"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.netstationname,jdbcType=VARCHAR}
        </foreach>
        ,"NetStation"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.netstation,jdbcType=VARCHAR}
        </foreach>
        ,"TareWeightor"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.tareweightor,jdbcType=VARCHAR}
        </foreach>
        ,"GrossWeightor"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.grossweightor,jdbcType=VARCHAR}
        </foreach>
        ,"NetWeightor"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.netweightor,jdbcType=VARCHAR}
        </foreach>
        ,"BatchIdentity"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.batchidentity,jdbcType=VARCHAR}
        </foreach>
        ,"BusinessState"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.businessstate,jdbcType=VARCHAR}
        </foreach>
        ,"BillType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.billtype,jdbcType=VARCHAR}
        </foreach>
        ,"MeasureType"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.measuretype,jdbcType=VARCHAR}
        </foreach>
        ,"AmountUnit"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.amountunit,jdbcType=VARCHAR}
        </foreach>
        ,"DownloadedTag"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.downloadedtag,jdbcType=VARCHAR}
        </foreach>
        ,"DeletedTag"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.deletedtag,jdbcType=VARCHAR}
        </foreach>
        ,"Creator"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.creator,jdbcType=VARCHAR}
        </foreach>
        ,"CreateDate"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.createdate,jdbcType=TIMESTAMP}
        </foreach>
        ,"Changer"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.changer,jdbcType=VARCHAR}
        </foreach>
        ,"ChangeDate"=
        <foreach collection="list" item="item" index="index" separator=" " open="case Identity" close="end">
            when #{item.identity,jdbcType=VARCHAR} then #{item.changedate,jdbcType=TIMESTAMP}
        </foreach>
        where "Identity" in
        <foreach collection="list" index="index" item="item" separator="," open="(" close=")">
            #{item.identity,jdbcType=VARCHAR}
        </foreach>
    </update>
    <delete id="batchDelete" parameterType="java.util.List">
        delete from jgshared."CenterNet"@PIKATEST
        where "Identity" in
        <foreach collection="list" item="id" open="(" close=")" separator=",">
            #{id}
        </foreach>
    </delete>
    <!-- 友情提示！！！-->
    <!-- 请将自己写的代码放在此标签之下，方便以后粘贴复制。-->

</mapper>